import React from 'react';
import { message } from 'antd';
import { request } from '../utils';
import config from '../../config';
import Styles from './index.less';

export default class AtMessageContainer extends React.Component {

  constructor(props) {
    super(props);

    this.state = {
      userInfo: null
    }
  }

  componentDidMount() {
    this.fetchUsersList();
  }

  fetchUsersList = (text) => {
    const { detail: { appid, uuid } } = this.props;
    request(`${config.DOMAIN}/scene/api/fetchUserInfoByUuid?uuid=${uuid}`)
      .then(data => {
        console.error(data);
        if (data) {
          this.setState({
            userInfo: data
          });
        } else {
          message.error('未查询到该用户！')
        }
      })
  }

  render() {
    let { userInfo } = this.state;

    return (
      userInfo ? 
      <div className={Styles.container}>
        <div className={Styles.userContainer}>
          <div className={Styles.headSculpture}>{userInfo.name.slice(userInfo.name.length - 2)}</div>
          <span className={Styles.name}>{userInfo.name}</span>
        </div>
      </div>
      : null
    )
  }
}