import { fetch } from 'whatwg-fetch'

const EventEmitter = require('events').EventEmitter;
export const emitter = new EventEmitter();

export function request(url, params, method = 'GET') {
  const option = {
    method,
    mode: 'cors',
  }

  if (method.toLocaleLowerCase() !== 'get') {
    option.headers = {
      'Content-Type': 'application/json'
      // 'Content-Type': 'application/x-www-form-urlencoded',
    },
    option.body = JSON.stringify(params);
  } else {
    // 避免IE请求缓存
    const time = new Date().getTime();
    if (url.indexOf('?') >= 0) {
      url = `${url}&_${time}`;
    } else {
      url = `${url}?_${time}`;
    }
  }
  url = encodeURI(url);

  return fetch(url, option)
   .then(response => response.json())
   .catch(error => console.error('Error:', error))
}