const { override, addLessLoader, addWebpackModuleRule, addWebpackAlias } = require('customize-cra')
const path = require('path');
const paths=require('react-scripts/config/paths')
const ModuleScopePlugin = require('react-dev-utils/ModuleScopePlugin');

paths.appBuild = paths.appPath + '/../scence-node/public/scene/'

module.exports = override(
    addLessLoader({
      lessOptions: {
        javascriptEnabled: true,
        // Optionally adjust URLs to be relative. When false, URLs are already relative to the entry less file.
        relativeUrls: false,
        cssModules: {
          // if you use CSS Modules, and custom `localIdentName`, default is '[local]--[hash:base64:5]'.
          localIdentName: "[path][name]__[local]--[hash:base64:5]",
        }
      } 
    }),
    addWebpackModuleRule({
      test: /\.md$/,
      use: "raw-loader"
    }),
    addWebpackAlias({
      ["config"]: path.resolve(__dirname, "config")
    }),
    (config) => {
      config.resolve.plugins = config.resolve.plugins.filter(plugin => !(plugin instanceof ModuleScopePlugin));
      return config
    }
  )