import React, { Component } from "react";

type ImportComponent = () => Promise<any>;
interface AsyncState {
  component: any
}

export default function asyncComponent(importComponent: ImportComponent): any  {
  class AsyncComponent extends Component<Record<string, unknown>, AsyncState> {
    constructor(props: any) {
      super(props);
      this.state = {
        component: null
      };
    }

    async componentDidMount() {
      const { default: component } = await importComponent(); 
      this.setState({
        component: component
      });
    }

    render() {
      const { component: C} = this.state;
      return C ? <C {...this.props} /> : null;
    }
  }

  return AsyncComponent;
}