import React from 'react';
import { withRouter, RouteComponentProps } from "react-router";
import { Link } from 'react-router-dom';
import { Breadcrumb, Button } from 'antd';
import { LeftOutlined } from '@ant-design/icons';
import styles from './index.module.less';

interface Props_types extends RouteComponentProps{
  [key: string]: any;
  title: string;
}

class PageHeader extends React.Component<Props_types> {

  onHandleBack = () => {
    this.props.history.push('/');
  }

  render(): React.ReactNode {
    const { title='' } = this.props;

    return (
      <div className={styles.breadcrumb}>
        <Breadcrumb className={styles.path}>
          <Breadcrumb.Item>
            <Link to="/index">首页</Link>
          </Breadcrumb.Item>
          <Breadcrumb.Item>{title}</Breadcrumb.Item>
        </Breadcrumb>
        <Button type="link" onClick={this.onHandleBack}>
          <LeftOutlined className={styles.backIcon}/>返回
        </Button>
      </div>
    )
  }
}

export default withRouter(PageHeader)