import { createStore, applyMiddleware } from 'redux'
import thunkMiddleware from 'redux-thunk'
import rootReducer from '../reducers'

export default function configure(initialState) {
  const createStoreWithMiddleware = applyMiddleware(
    thunkMiddleware,
  )(createStore)

  const store = createStoreWithMiddleware(rootReducer, initialState)

  return store
}