import React from 'react';
import { Button, Spin } from 'antd';
import PageHeader from '../../components/pageHeader';
import DocComponent from './DocComponent';
import styles from './index.module.less';


export default class AtPerson extends React.Component {

  state = {
    oneLoading: true,
    twoLoading: true
  }

  onHandleCopyLink = () => {
    const text = document.getElementById('share-url');
    if (window.getSelection) {
        const selection = window.getSelection();
        const range = document.createRange();
        range.selectNodeContents(text);
        selection.removeAllRanges();
        selection.addRange(range);
        document.execCommand("Copy")     
      } else {
        console.error('浏览器不支持复制，请手动复制');
      }
  }

  DocLoadSuccess = (type: string) => {
    this.setState({
      [type]: false
    });
  }

  render(): React.ReactNode {
    const { twoLoading, oneLoading } = this.state;

    return (
      <Spin spinning={oneLoading || twoLoading} tip="加载中……">
        <PageHeader title="@人场景" />
        <div className={styles.shareDiv}>
          <span>分享链接：</span>
          <span id="share-url">{location.origin + location.pathname +'#/share-at'}</span>
          <Button type="link" onClick={this.onHandleCopyLink}>复制</Button>
        </div>
        <DocComponent style={{height: 'calc(100vh - 150px)'}} loadSuccess={this.DocLoadSuccess.bind(this, 'oneLoading')}/>
        <DocComponent style={{height: 'calc(100vh - 150px)'}} loadSuccess={this.DocLoadSuccess.bind(this, 'twoLoading')}/>
      </Spin>
    )
  }
}
