import React from 'react';
import meetingImg from '../../assets/meeting.png';
import contactImg from '../../assets/contact.png';
import styles from './index.module.less';

interface HomePageProps {
  history: React.ComponentProps<any>;
}

export default class HomePage extends React.Component<HomePageProps> {

  onHandleClickLink = (path: string) => {
    const { history } = this.props;
    history.push({ pathname: `/${path}` })
  }

  onHandleClickDown = (e: React.MouseEvent) => {
    e.stopPropagation();
    window.open('./wwo-scence-demo.zip', '_self')
  }

  render(): React.ReactNode {
    return (
      <div className={styles.cardContent}>
        <div className={styles.productCard} onClick={this.onHandleClickLink.bind(this, 'meeting')}>
          <img src={meetingImg} className={styles.productImg}/>
          <div className={styles.title}>会议场景</div>
          <a onClick={this.onHandleClickDown}>下载</a>
        </div>
        { !window.isMobilePage &&
          <div className={styles.productCard} onClick={this.onHandleClickLink.bind(this, 'at')}>
            <img src={contactImg} className={styles.productImg}/>
            <div className={styles.title}>@人场景</div>
            <a onClick={this.onHandleClickDown}>下载</a>
          </div>
        }
      </div>
    )
  }
}