export function formatTime(time: number, formatStr: string) {
  try {
    let result = formatStr;
    const date = new Date(time);
    const o = { 
      "M+" : date.getMonth()+1, //month 
      "d+" : date.getDate(), //day 
      "h+" : date.getHours(), //hour 
      "m+" : date.getMinutes(), //minute 
      "s+" : date.getSeconds(), //second 
      "q+" : Math.floor((date.getMonth()+3)/3), //quarter 
      "S" : date.getMilliseconds() //millisecond 
    };
    
    if(/(y+)/.test(result)) { 
        result = result.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length)); 
    } 
        
    for(const k in o) { 
      if(new RegExp("("+ k +")").test(result)) { 
        result = result.replace(RegExp.$1, RegExp.$1.length==1 ? o[k] : ("00"+ o[k]).substr((""+ o[k]).length)); 
      } 
    }

    return result; 
  } catch(e) {
    console.error('时间格式化错误：', e);
  }

  return '';
}


//获取hashcode
export function getHashCode() {
  //产生一个hash值，只有数字，规则和java的hashcode规则相同
  const hashCode = (str: string) => {
    let h = 0;
    const len = str.length;
    const t = 2147483648;
    for (let i = 0; i < len; i++) {
        h = 31 * h + str.charCodeAt(i);
        if (h > 2147483647) h %= t;
    }
    return h;
  }

  const randomWord = (randomFlag: boolean, min: number, max?: number) => {
    let str = "";
    let range = min;
    const arr = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F', 'G', 'H', 'I', 'J', 'K', 'L', 'M', 'N', 'O', 'P', 'Q', 'R', 'S', 'T', 'U', 'V', 'W', 'X', 'Y', 'Z'];
    // 随机产生
    if (randomFlag) {
        range = Math.round(Math.random() * (max - min)) + min;
    }
    for (let i = 0; i < range; i++) {
        const pos = Math.round(Math.random() * (arr.length - 1));
        str += arr[pos];
    }
    return str;
  }

  //定义一个时间戳，计算与1970年相差的毫秒数  用来获得唯一时间
  const timestamp = (new Date()).valueOf();
  const myRandom=randomWord(false, 6);
  const hashStr=hashCode(myRandom + timestamp.toString());
  return hashStr;
}