import { JsonDB } from 'node-json-db';
import { Config } from 'node-json-db/dist/lib/JsonDBConfig'

// 本地数据持久化
const db = new JsonDB(new Config("db/myDataBase", true, false, '/'));

export function queryDBData(path: string): any {
  let data = null;
  try {
    data = db.getData(path);
  } catch(e) {
    console.error(e);
  }
  
  return data;
}

export function queryDBIndex(path: string, name: string, value: any): any {
  let index = -1;
  let data = null;
  try {
    index = db.getIndex(path, value, name);
    if (index >= 0) {
      data = db.getData(`${path}[${index}]`);
    }
  } catch(e) {
    console.error(e);
  }
  
  return {index, data};
}

export function saveDBData(path: string, data: Record<any, any>): any {
  try {
    db.push(path, data, true);
  } catch(e) {
    console.error(e);
  }
}

export function deleteDBData(path: string): any {
  try {
    db.delete(path);
  } catch(e) {
    console.error(e);
  }
}

export default {
  queryDBData,
  queryDBIndex,
  saveDBData,
  deleteDBData
};